Java 7 da Oracle no Ubuntu - Instalação e atualização fácil e rápida

Publicado por Matuzalém Guimarães em 31/07/2012

[ Hits: 41.570 ]

 


Java 7 da Oracle no Ubuntu - Instalação e atualização fácil e rápida



Esta dica serve para solucionar um problema muito comum para os usuários do GNU/Linux, que precisam ter a última versão do Java Oracle instalados e funcionando em seus computadores.

Esta dica serve para o Ubuntu nas versões:
  • 12.04
  • 11.10
  • 11.04
  • 10.04

O JDK 7 disponibilizado pela Oracle nos fornece o JDK, JRE e o plugin Java para o browser.

Primeiro passo

Adicionando o PPA.

Para adicionar o nosso PPA e instalar o Java 7 da Oracle no Ubuntu, abra um terminal/console, e digite os seguintes comandos:

sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update


Segundo passo

Atualizando/instalando o Java 7 da Oracle.

No Ubuntu, abra um terminal/console e digite os seguintes comandos:

sudo apt-get install oracle-java7-installer

Terceiro Passo

Verificando a versão do Java instalado.

No Ubuntu, abra um terminal/console e digite os seguintes comandos:

java -version

Você deverá ver a seguinte mensagem:
java version "1.7.0_05"
Java(TM) SE Runtime Environment (build 1.7.0_05-b05)
Java HotSpot(TM) Server VM (build 23.1-b03, mixed mode)


Solucionando problemas

Se houver algum problema com a versão do Java instalado, você poderá solucionar da seguinte forma:

- Abra um terminal/console e digite os seguintes comandos:

sudo update-java-alternatives -s java-7-oracle

- Não gostei e quero remover:

Abra um terminal/console e digite os seguintes comandos:

sudo apt-get remove oracle-java7-installer

Pronto, ajudou? Ótimo!

A comunidade do Software Livre está aqui pra isso.

Outras dicas deste autor

Pesquisa entre datas no MySQL

Squid com bloqueio definitivo do Orkut

Iptables e proxy transparente (Squid) definitivo

Leitura recomendada

Enterprise JavaBeans 3.0: lançamento Pearson/Prentice Hall

Struts e JSTL - Na tela aparece somente a váriavel e não o valor

Crash ao executar Eclipse no Fedora 19 x86_64 [Resolvido]

Resolvendo o problema "could not load wizard specified in /wizard.inf" no Ubuntu Hardy

PJEOffice rodando corretamente no Ubuntu 19 - como fazer via terminal

  

Comentários
[1] Comentário enviado por ocabeca em 01/08/2012 - 21:16h

Boa noite galera..

Acho que meu java foi atualizado no meu ubuntu 12.04, apos fazer a atualização padrão do ubuntu
Após... não consigo acessar recursos utilzando java no Chrome e nem no Firefox... algém tem alguma dica?

o meu java version

java version "1.7.0_05"
Java(TM) SE Runtime Environment (build 1.7.0_05-b05)
Java HotSpot(TM) Server VM (build 23.1-b03, mixed mode)

[2] Comentário enviado por guihatano em 15/10/2012 - 14:44h

Boa tarde!

Sou novo por aqui, instalei o java por esse repositório, acho que está tudo ok.
Mas para confirmar, com esse método não necessita de setar variaveis de ambiente?
Pq se precisar eu gostaria de saber o diretório em que foi instalado, pois não achei

Abraço!

[3] Comentário enviado por marcosbadu em 04/05/2013 - 16:23h

Deu certo cara, muito obrigado, valeu mesmo.

[4] Comentário enviado por marcosbadu em 04/05/2013 - 16:26h

A respeito da version não ficou essa ei não.

java version "1.7.0_05"
Java(TM) SE Runtime Environment (build 1.7.0_05-b05)
Java HotSpot(TM) Server VM (build 23.1-b03, mixed mode)

FICOU ESSA AQUI.
java version "1.7.0_21"
Java(TM) SE Runtime Environment (build 1.7.0_21-b11)
Java HotSpot(TM) 64-Bit Server VM (build 23.21-b01, mixed mode)

[5] Comentário enviado por Doce48 em 05/06/2013 - 11:26h

Tenho o Ubuntu 10.04 tentei instalar o java no meu pc mas não consegui, abro o terminal copio e colo o código $ sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update e vem duas mensagens comando não encontrado. Faz duas semanas que to trabalhando tentando instalar . Preciso instalar o PHP EDITOR e o VampServer , mas preciso de ajuda , alguem consegue me ajudar?
Vale lembrar que tentei vários caminhos.


[6] Comentário enviado por Denis_Positron em 23/10/2014 - 10:16h

Apesar de antigo (2012) este tópico me ajudou agora, em 2014. Não consigo usar o Internet Banking da Caixa com o java 8, surgindo a mensagem "Sistema temporariamente indisponível. Tente mais tarde". Após um mês recebendo esta mensagem liguei para a Caixa. A atendente me perguntou qual era a versão do Java que eu usava e então me recomendou a instalação do Java versão 7 update 67, pois o Java 8 ainda é instável. Segui a recomendação e funcionou. Tudo bem que surgem duas janelas de confirmação, uma janela de erro de biblioteca ou ambiente não suportado, mas consigo acessar o IB da CEF. No meu laptop novo tive o mesmo problema. Como não encontrei o Java versão 7 update 67, instalei o Java versão 7 update 71. Como eu disse, segui as recomendações deste tópico e funcionou, lembrando que estamos em Outubro de 2014. As mesmas janelas de confirmação e a mesma mensagem de erro continuam aparecendo, e simplesmente as ignoro pois elas não me impedem de acessar o IB da CEF.

Estas atualizações que a Caixa faz, assim como o Java, são necessárias por questões de segurança, é verdade. Assim como é verdade que estas atualizações nos deixam na mão a cada volta e meia. Felizmente existem espaços como esse onde problemas são solucionados e felizmente existe o google para nos ajudar a encontrar estes espaços.

Ps.: Estava esquecendo de mencionar: Estou usando o Ubuntu 14.04.

[7] Comentário enviado por wkakaroto em 03/08/2016 - 07:06h

Matuzalem, bom dia

Parabéns pelas dicas.
Estou atualizando o JAVA devido ao atualização do Server TOMCAT7. Porém dessa forma a Versão do JAVA instalada é a 32-bit sendo que meu SO é 64-bit.
É possível dessa forma eu instalar a versão 64-bit do JDK ?

[8] Comentário enviado por mamp em 01/11/2017 - 13:46h

Estamos no ano 2017, oracle nao deixa mais ativo publicamente java7.
Preciso instalar esta versao antiga.
Como faco para instalar java 7 manualmente neste momento?

[9] Comentário enviado por mamp em 01/11/2017 - 14:20h

Estamos em Novembro de 2017 e Oracle removeu do repositório publico o java 7.
As linhas de código do artigo acima não funciona mais.
A Oracle somente permite agora baixar compactado ou rpm java antigo.
Como instalar manualmente o java7 no ubuntu?



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts